## org.jfree.ui
Class Layer

    java.lang.Object
      org.jfree.ui.Layer

All Implemented Interfaces:
  java.io.Serializable

    public final class Layer

extends java.lang.Object
implements java.io.Serializable

Used to indicate either the foreground or background layer.

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`static Layer` `BACKGROUND` Background.
`static Layer` `FOREGROUND` Foreground.

Method Summary
`boolean` `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FOREGROUND

    public static final Layer FOREGROUND

  Foreground.

### BACKGROUND

    public static final Layer BACKGROUND

  Background.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object o)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode